.TH curs_slk 3 ""
.SH NAME
\fBslk_init\fR, \fBslk_set\fR, \fBslk_refresh\fR,
\fBslk_noutrefresh\fR, \fBslk_label\fR, \fBslk_clear\fR, \fBslk_restore\fR,
\fBslk_touch\fR, \fBslk_attron\fR, \fBslk_attrset\fR, 
\fBslk_attroff\fR - \fBncurses\fR soft label routines
.SH SYNOPSIS
\fB#include <ncurses.h>\fR

\fBint slk_init(int fmt);\fR
.br
\fBint slk_set(int labnum, char *label, int fmt);\fR
.br
\fBint slk_refresh(void);\fR
.br
\fBint slk_noutrefresh(void);\fR
.br
\fBchar *slk_label(int labnum);\fR
.br
\fBint slk_clear(void);\fR
.br
\fBint slk_restore(void);\fR
.br
\fBint slk_touch(void);\fR
.br
\fBint slk_attron(chtype attrs);\fR
.br
\fBint slk_attrset(chtype attrs);\fR
.br
\fBint slk_attroff(chtype attrs);\fR
.br
.SH DESCRIPTION
The slk* functions manipulate the set of soft function-key labels that exist on
many terminals.  For those terminals that do not have soft labels,
\fBncurses\fR takes over the bottom line of \fBstdscr\fR, reducing the size of
\fBstdscr\fR and the variable \fBLINES\fR.  \fBncurses\fR standardizes on eight
labels of up to eight characters each.

The \fBslk_init\fR routine must be called before \fBinitscr\fR or \fBnewterm\fR
is called.  If \fBinitscr\fR eventually uses a line from \fBstdscr\fR to
emulate the soft labels, then \fIfmt\fR determines how the labels are arranged
on the screen.  Setting \fIfmt\fR to \fB0\fR indicates a 3-2-3 arrangement of
the labels; \fB1\fR indicates a 4-4 arrangement.

With the \fBslk_set\fR routine, \fIlabnum\fR is the label number, from \fB1\fR
to \fB8\fR.  \fIlabel\fR is the string to be put on the label, up to eight
characters in length.  A null string or a null pointer sets up a blank label.
\fIfmt\fR is either \fB0\fR, \fB1\fR, or \fB2\fR, indicating whether the label
is to be left-justified, centered, or right-justified, respectively, within the
label.

The \fBslk_refresh\fR and \fBslk_noutrefresh\fR routines correspond to
the \fBwrefresh\fR and \fBwnoutrefresh\fR routines.

The \fBslk_label\fR routine returns the current label for label number
\fIlabnum\fR, with leading and trailing blanks stripped.

The \fBslk_clear\fR routine clears the soft labels from the screen.

The \fBslk_restore\fR routine, restores the soft labels to the screen
after a \fBslk_clear\fR has been performed.

The \fBslk_touch\fR routine forces all the soft labels to be output
the next time a \fBslk_noutrefresh\fR is performed.

The \fBslk_attron\fR, \fBslk_attrset\fR and \fBslk_attroff\fR routines
correspond to \fBattron\fR, \fBattrset\fR, and \fBattroff\fR.  They
have an effect only if soft labels are simulated on the bottom line of
the screen.
.SH RETURN VALUE
Routines that return an integer return \fBERR\fR upon failure and an integer
value other than \fBERR\fR upon successful completion.

\fBslk_label\fR returns \fBNULL\fR on error.
.SH NOTES
Most applications would use \fBslk_noutrefresh\fR because a
\fBwrefresh\fR is likely to follow soon.
.SH SEE ALSO
\fBncurses\fR(3), \fBcurs_attr\fR(3), \fBcurs_initscr\fR(3), \fBcurs_refresh\fR(3)
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
